Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance
Class AbstractInstanceCustomization

    java.lang.Object
      org.jboss.portal.core.impl.model.instance.AbstractInstance
          org.jboss.portal.core.impl.model.instance.AbstractInstanceCustomization

All Implemented Interfaces:
  Instance, InstanceCustomization

    public abstract class AbstractInstanceCustomization

extends AbstractInstance
implements InstanceCustomization

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.impl.model.instance.AbstractInstance
`portletContext, portletRef, state`

Fields inherited from interface org.jboss.portal.core.model.instance.Instance
`INSTANCE_ID_ATTRIBUTE`

Constructor Summary
`AbstractInstanceCustomization()`

Method Summary
`protected void` | `cloned(org.jboss.portal.portlet.PortletContext portletContext)`
`protected org.jboss.portal.portlet.state.AccessMode` | `getAccessMode()`
`protected java.lang.String` | `getInstanceId()`
`protected org.apache.log4j.Logger` | `getLogger()`
`protected boolean` | `isMutable()`
`protected abstract boolean` | `isPersistent()`
`protected void` | `setMutable(boolean modifiable)`

Methods inherited from class org.jboss.portal.core.impl.model.instance.AbstractInstance
`destroyCustomization, getContainer, getContainerContext, getCustomization, getDefinition, getOwner, getPortlet, getPortletContext, getPortletRef, getProperties, getProperties, getState, invoke, isModifiable, modified, setPortletRef, setProperties, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.instance.InstanceCustomization
`getDefinition, getId`

Methods inherited from interface org.jboss.portal.core.model.instance.Instance
`destroyCustomization, getContainer, getCustomization, getDisplayName, getPortlet, getProperties, getProperties, invoke, setDisplayName, setProperties`

Constructor Detail

### AbstractInstanceCustomization

    public AbstractInstanceCustomization()

Method Detail

### isPersistent

    protected abstract boolean isPersistent()

### getAccessMode

    protected org.jboss.portal.portlet.state.AccessMode getAccessMode()

  Specified by:
    `getAccessMode` in class `AbstractInstance`

### isMutable

    protected final boolean isMutable()

  Specified by:
    `isMutable` in class `AbstractInstance`

### setMutable

    protected final void setMutable(boolean modifiable)

  Specified by:
    `setMutable` in class `AbstractInstance`

### getLogger

    protected final org.apache.log4j.Logger getLogger()

  Specified by:
    `getLogger` in class `AbstractInstance`

### cloned

    protected final void cloned(org.jboss.portal.portlet.PortletContext portletContext)

  Specified by:
    `cloned` in class `AbstractInstance`

### getInstanceId

    protected final java.lang.String getInstanceId()

  Specified by:
    `getInstanceId` in class `AbstractInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD